<script setup lang="ts">
import router from '@/router'
import { useAuthStore } from '@/stores/auth'
import { nextTick } from 'vue'
import { useRoute } from 'vue-router'

const route = useRoute()

const authStore = useAuthStore()

function upper1st(str: string | undefined) {
  if (!str) {
    return ''
  }
  return str.charAt(0).toUpperCase() + str.slice(1)
}

function top() {
  nextTick(() => {
    window.scrollTo({
      top: 0,
      left: 0,
      behavior: 'smooth'
    })
    window.scrollTo({
      top: 0,
      left: 0,
      behavior: 'smooth'
    })
    window.scrollTo({
      top: 0,
      left: 0,
      behavior: 'smooth'
    })
  })
}

function goToMain() {
  router.push({ name: 'mainmenu' })
}
</script>

<template>
  <v-app-bar v-if="authStore.appBarUnlogin" title="DCOFFEE" color="grey-darken-4" height="80">
    <template v-slot:prepend>
      <v-app-bar-nav-icon icon="mdi-coffee-outline" @click="top()"></v-app-bar-nav-icon>
    </template>
  </v-app-bar>
</template>

<style scoped></style>
